%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbosgi-framework
Version:          3.0.2
Release:          %mkrel 2
Group:            Development/Java
Summary:          JBoss OSGi Core Framework
License:          LGPLv2+
URL:              http://www.jboss.org/
Source0:          https://github.com/jbosgi/jbosgi-framework/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jbosgi-parent
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    arquillian-core
BuildRequires:    jboss-logging
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-modules
BuildRequires:    jboss-msc
BuildRequires:    jbosgi-deployment
BuildRequires:    jbosgi-spi
BuildRequires:    jbosgi-vfs
BuildRequires:    jbosgi-resolver
BuildRequires:    eclipse-equinox-osgi
BuildRequires:    maven-license-plugin

%description
This package contains the JBoss OSGi Core Framework.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbosgi-framework-%{namedversion}

%pom_disable_module itest

%pom_remove_dep "org.osgi:org.osgi.core" core/pom.xml
%pom_add_dep "org.eclipse:osgi" core/pom.xml

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.0.2-2.mga4
+ Revision: 541875
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 3.0.2-1.mga4
+ Revision: 496441
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.1.8-5.mga3
+ Revision: 354896
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.1.8-4.mga3
+ Revision: 331738
- imported package jbosgi-framework


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 27 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.8-3
- Removed core/src/main/java/org/osgi/* files

* Fri Jun 15 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.8-2
- Updated the BR and R

* Fri Jun 08 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.8-1
- Initial packaging

